Package org.lwjgl.opengl

# Class GL14

java.lang.Object
org.lwjgl.opengl.GL14

public final class GL14 extends Object

The core OpenGL1.4 API.

Version:
  $Revision$ $Id$
Author:
  cix_foo invalid input: '<'cix_foo@users.sourceforge.net>

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_BLEND_COLOR`
`static final int`
`GL_BLEND_DST_ALPHA`
`static final int`
`GL_BLEND_DST_RGB`
`static final int`
`GL_BLEND_EQUATION`
`static final int`
`GL_BLEND_SRC_ALPHA`
`static final int`
`GL_BLEND_SRC_RGB`
`static final int`
`GL_COLOR_SUM`
`static final int`
`GL_COMPARE_R_TO_TEXTURE`
`static final int`
`GL_CURRENT_FOG_COORDINATE`
`static final int`
`GL_CURRENT_SECONDARY_COLOR`
`static final int`
`GL_DECR_WRAP`
`static final int`
`GL_DEPTH_COMPONENT16`
`static final int`
`GL_DEPTH_COMPONENT24`
`static final int`
`GL_DEPTH_COMPONENT32`
`static final int`
`GL_DEPTH_TEXTURE_MODE`
`static final int`
`GL_FOG_COORDINATE`
`static final int`
`GL_FOG_COORDINATE_ARRAY`
`static final int`
`GL_FOG_COORDINATE_ARRAY_POINTER`
`static final int`
`GL_FOG_COORDINATE_ARRAY_STRIDE`
`static final int`
`GL_FOG_COORDINATE_ARRAY_TYPE`
`static final int`
`GL_FOG_COORDINATE_SOURCE`
`static final int`
`GL_FRAGMENT_DEPTH`
`static final int`
`GL_FUNC_ADD`
`static final int`
`GL_FUNC_REVERSE_SUBTRACT`
`static final int`
`GL_FUNC_SUBTRACT`
`static final int`
`GL_GENERATE_MIPMAP`
`static final int`
`GL_GENERATE_MIPMAP_HINT`
`static final int`
`GL_INCR_WRAP`
`static final int`
`GL_MAX`
`static final int`
`GL_MAX_TEXTURE_LOD_BIAS`
`static final int`
`GL_MIN`
`static final int`
`GL_MIRRORED_REPEAT`
`static final int`
`GL_POINT_DISTANCE_ATTENUATION`
`static final int`
`GL_POINT_FADE_THRESHOLD_SIZE`
`static final int`
`GL_POINT_SIZE_MAX`
`static final int`
`GL_POINT_SIZE_MIN`
`static final int`
`GL_SECONDARY_COLOR_ARRAY`
`static final int`
`GL_SECONDARY_COLOR_ARRAY_POINTER`
`static final int`
`GL_SECONDARY_COLOR_ARRAY_SIZE`
`static final int`
`GL_SECONDARY_COLOR_ARRAY_STRIDE`
`static final int`
`GL_SECONDARY_COLOR_ARRAY_TYPE`
`static final int`
`GL_TEXTURE_COMPARE_FUNC`
`static final int`
`GL_TEXTURE_COMPARE_MODE`
`static final int`
`GL_TEXTURE_DEPTH_SIZE`
`static final int`
`GL_TEXTURE_FILTER_CONTROL`
`static final int`
`GL_TEXTURE_LOD_BIAS`

## Method Summary

Modifier and Type
Method
Description
`static void`
`glBlendColor(float red, float green, float blue, float alpha)`
`static void`
`glBlendEquation(int mode)`
`static void`
`glBlendFuncSeparate(int sfactorRGB, int dfactorRGB, int sfactorAlpha, int dfactorAlpha)`
`static void`
`glFogCoordd(double coord)`
`static void`
`glFogCoordf(float coord)`
`static void`
`glFogCoordPointer(int type, int stride, long data_buffer_offset)`
`static void`
`glFogCoordPointer(int stride, DoubleBuffer data)`
`static void`
`glFogCoordPointer(int stride, FloatBuffer data)`
`static void`
`glMultiDrawArrays(int mode, IntBuffer piFirst, IntBuffer piCount)`
`static void`
`glPointParameter(int pname, FloatBuffer params)`
`static void`
`glPointParameter(int pname, IntBuffer params)`
`static void`
`glPointParameterf(int pname, float param)`
`static void`
`glPointParameteri(int pname, int param)`
`static void`
`glSecondaryColor3b(byte red, byte green, byte blue)`
`static void`
`glSecondaryColor3d(double red, double green, double blue)`
`static void`
`glSecondaryColor3f(float red, float green, float blue)`
`static void`
`glSecondaryColor3ub(byte red, byte green, byte blue)`
`static void`
`glSecondaryColorPointer(int size, boolean unsigned, int stride, ByteBuffer data)`
`static void`
`glSecondaryColorPointer(int size, int type, int stride, long data_buffer_offset)`
`static void`
`glSecondaryColorPointer(int size, int stride, DoubleBuffer data)`
`static void`
`glSecondaryColorPointer(int size, int stride, FloatBuffer data)`
`static void`
`glWindowPos2d(double x, double y)`
`static void`
`glWindowPos2f(float x, float y)`
`static void`
`glWindowPos2i(int x, int y)`
`static void`
`glWindowPos3d(double x, double y, double z)`
`static void`
`glWindowPos3f(float x, float y, float z)`
`static void`
`glWindowPos3i(int x, int y, int z)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_GENERATE_MIPMAP

public static final int GL_GENERATE_MIPMAP

See Also:
  - Constant Field Values

### GL_GENERATE_MIPMAP_HINT

public static final int GL_GENERATE_MIPMAP_HINT

See Also:
  - Constant Field Values

### GL_DEPTH_COMPONENT16

public static final int GL_DEPTH_COMPONENT16

See Also:
  - Constant Field Values

### GL_DEPTH_COMPONENT24

public static final int GL_DEPTH_COMPONENT24

See Also:
  - Constant Field Values

### GL_DEPTH_COMPONENT32

public static final int GL_DEPTH_COMPONENT32

See Also:
  - Constant Field Values

### GL_TEXTURE_DEPTH_SIZE

public static final int GL_TEXTURE_DEPTH_SIZE

See Also:
  - Constant Field Values

### GL_DEPTH_TEXTURE_MODE

public static final int GL_DEPTH_TEXTURE_MODE

See Also:
  - Constant Field Values

### GL_TEXTURE_COMPARE_MODE

public static final int GL_TEXTURE_COMPARE_MODE

See Also:
  - Constant Field Values

### GL_TEXTURE_COMPARE_FUNC

public static final int GL_TEXTURE_COMPARE_FUNC

See Also:
  - Constant Field Values

### GL_COMPARE_R_TO_TEXTURE

public static final int GL_COMPARE_R_TO_TEXTURE

See Also:
  - Constant Field Values

### GL_FOG_COORDINATE_SOURCE

public static final int GL_FOG_COORDINATE_SOURCE

See Also:
  - Constant Field Values

### GL_FOG_COORDINATE

public static final int GL_FOG_COORDINATE

See Also:
  - Constant Field Values

### GL_FRAGMENT_DEPTH

public static final int GL_FRAGMENT_DEPTH

See Also:
  - Constant Field Values

### GL_CURRENT_FOG_COORDINATE

public static final int GL_CURRENT_FOG_COORDINATE

See Also:
  - Constant Field Values

### GL_FOG_COORDINATE_ARRAY_TYPE

public static final int GL_FOG_COORDINATE_ARRAY_TYPE

See Also:
  - Constant Field Values

### GL_FOG_COORDINATE_ARRAY_STRIDE

public static final int GL_FOG_COORDINATE_ARRAY_STRIDE

See Also:
  - Constant Field Values

### GL_FOG_COORDINATE_ARRAY_POINTER

public static final int GL_FOG_COORDINATE_ARRAY_POINTER

See Also:
  - Constant Field Values

### GL_FOG_COORDINATE_ARRAY

public static final int GL_FOG_COORDINATE_ARRAY

See Also:
  - Constant Field Values

### GL_POINT_SIZE_MIN

public static final int GL_POINT_SIZE_MIN

See Also:
  - Constant Field Values

### GL_POINT_SIZE_MAX

public static final int GL_POINT_SIZE_MAX

See Also:
  - Constant Field Values

### GL_POINT_FADE_THRESHOLD_SIZE

public static final int GL_POINT_FADE_THRESHOLD_SIZE

See Also:
  - Constant Field Values

### GL_POINT_DISTANCE_ATTENUATION

public static final int GL_POINT_DISTANCE_ATTENUATION

See Also:
  - Constant Field Values

### GL_COLOR_SUM

public static final int GL_COLOR_SUM

See Also:
  - Constant Field Values

### GL_CURRENT_SECONDARY_COLOR

public static final int GL_CURRENT_SECONDARY_COLOR

See Also:
  - Constant Field Values

### GL_SECONDARY_COLOR_ARRAY_SIZE

public static final int GL_SECONDARY_COLOR_ARRAY_SIZE

See Also:
  - Constant Field Values

### GL_SECONDARY_COLOR_ARRAY_TYPE

public static final int GL_SECONDARY_COLOR_ARRAY_TYPE

See Also:
  - Constant Field Values

### GL_SECONDARY_COLOR_ARRAY_STRIDE

public static final int GL_SECONDARY_COLOR_ARRAY_STRIDE

See Also:
  - Constant Field Values

### GL_SECONDARY_COLOR_ARRAY_POINTER

public static final int GL_SECONDARY_COLOR_ARRAY_POINTER

See Also:
  - Constant Field Values

### GL_SECONDARY_COLOR_ARRAY

public static final int GL_SECONDARY_COLOR_ARRAY

See Also:
  - Constant Field Values

### GL_BLEND_DST_RGB

public static final int GL_BLEND_DST_RGB

See Also:
  - Constant Field Values

### GL_BLEND_SRC_RGB

public static final int GL_BLEND_SRC_RGB

See Also:
  - Constant Field Values

### GL_BLEND_DST_ALPHA

public static final int GL_BLEND_DST_ALPHA

See Also:
  - Constant Field Values

### GL_BLEND_SRC_ALPHA

public static final int GL_BLEND_SRC_ALPHA

See Also:
  - Constant Field Values

### GL_INCR_WRAP

public static final int GL_INCR_WRAP

See Also:
  - Constant Field Values

### GL_DECR_WRAP

public static final int GL_DECR_WRAP

See Also:
  - Constant Field Values

### GL_TEXTURE_FILTER_CONTROL

public static final int GL_TEXTURE_FILTER_CONTROL

See Also:
  - Constant Field Values

### GL_TEXTURE_LOD_BIAS

public static final int GL_TEXTURE_LOD_BIAS

See Also:
  - Constant Field Values

### GL_MAX_TEXTURE_LOD_BIAS

public static final int GL_MAX_TEXTURE_LOD_BIAS

See Also:
  - Constant Field Values

### GL_MIRRORED_REPEAT

public static final int GL_MIRRORED_REPEAT

See Also:
  - Constant Field Values

### GL_BLEND_COLOR

public static final int GL_BLEND_COLOR

See Also:
  - Constant Field Values

### GL_BLEND_EQUATION

public static final int GL_BLEND_EQUATION

See Also:
  - Constant Field Values

### GL_FUNC_ADD

public static final int GL_FUNC_ADD

See Also:
  - Constant Field Values

### GL_FUNC_SUBTRACT

public static final int GL_FUNC_SUBTRACT

See Also:
  - Constant Field Values

### GL_FUNC_REVERSE_SUBTRACT

public static final int GL_FUNC_REVERSE_SUBTRACT

See Also:
  - Constant Field Values

### GL_MIN

public static final int GL_MIN

See Also:
  - Constant Field Values

### GL_MAX

public static final int GL_MAX

See Also:
  - Constant Field Values

## Method Details

### glBlendEquation

public static void glBlendEquation(int mode)

### glBlendColor

public static void glBlendColor(float red, float green, float blue, float alpha)

### glFogCoordf

public static void glFogCoordf(float coord)

### glFogCoordd

public static void glFogCoordd(double coord)

### glFogCoordPointer

public static void glFogCoordPointer(int stride, DoubleBuffer data)

### glFogCoordPointer

public static void glFogCoordPointer(int stride, FloatBuffer data)

### glFogCoordPointer

public static void glFogCoordPointer(int type, int stride, long data_buffer_offset)

### glMultiDrawArrays

public static void glMultiDrawArrays(int mode, IntBuffer piFirst, IntBuffer piCount)

### glPointParameteri

public static void glPointParameteri(int pname, int param)

### glPointParameterf

public static void glPointParameterf(int pname, float param)

### glPointParameter

public static void glPointParameter(int pname, IntBuffer params)

### glPointParameter

public static void glPointParameter(int pname, FloatBuffer params)

### glSecondaryColor3b

public static void glSecondaryColor3b(byte red, byte green, byte blue)

### glSecondaryColor3f

public static void glSecondaryColor3f(float red, float green, float blue)

### glSecondaryColor3d

public static void glSecondaryColor3d(double red, double green, double blue)

### glSecondaryColor3ub

public static void glSecondaryColor3ub(byte red, byte green, byte blue)

### glSecondaryColorPointer

public static void glSecondaryColorPointer(int size, int stride, DoubleBuffer data)

### glSecondaryColorPointer

public static void glSecondaryColorPointer(int size, int stride, FloatBuffer data)

### glSecondaryColorPointer

public static void glSecondaryColorPointer(int size, boolean unsigned, int stride, ByteBuffer data)

### glSecondaryColorPointer

public static void glSecondaryColorPointer(int size, int type, int stride, long data_buffer_offset)

### glBlendFuncSeparate

public static void glBlendFuncSeparate(int sfactorRGB, int dfactorRGB, int sfactorAlpha, int dfactorAlpha)

### glWindowPos2f

public static void glWindowPos2f(float x, float y)

### glWindowPos2d

public static void glWindowPos2d(double x, double y)

### glWindowPos2i

public static void glWindowPos2i(int x, int y)

### glWindowPos3f

public static void glWindowPos3f(float x, float y, float z)

### glWindowPos3d

public static void glWindowPos3d(double x, double y, double z)

### glWindowPos3i

public static void glWindowPos3i(int x, int y, int z)